## libkainjow-mustache 4.1%2Bds

=== Makefile ===
default:
	g++ -O3 -Wall -Wextra -Werror -std=c++11 -o mustache tests.cpp
	./mustache

mac:
	clang++ -O3 -Wall -Wextra -Werror -std=c++11 -stdlib=libc++ -o mustache tests.cpp
	./mustache

mac14:
	clang++ -O3 -Wall -Wextra -Werror -std=c++14 -stdlib=libc++ -o mustache14 tests.cpp
	./mustache14

clang:
	clang++ -O3 -Wall -Wextra -Werror -std=c++11 -o mustache tests.cpp

# https://gcc.gnu.org/onlinedocs/gcc/Invoking-Gcov.html
coverage:
	g++ -std=c++11 -coverage -O0 -o mustache tests.cpp
	./mustache
	gcov -l tests.cpp
# We only want coverage for mustache.hpp and tests.cpp, so delete all the other *.gcov files
	find . -type f -name 'tests.cpp*.gcov' ! -name 'tests.cpp.gcov' ! -name 'tests.cpp##mustache.hpp.gcov' -delete

xcode:
	mkdir -p build_xcode
	cd build_xcode && cmake -GXcode ..
	open build_xcode/*.xcodeproj

clean:
	rm -rf mustache mustache14 build build_xcode
	rm -rf *.gcov *.gcda *.gcno # coverage artifacts

## libkainjow-mustache 4.0+ds

=== debian/changelog ===
libkainjow-mustache (4.0+ds-1) unstable; urgency=medium

  * New upstream version 4.0+ds

 -- Kunal Mehta <legoktm@debian.org>  Sat, 23 Nov 2019 13:43:00 -0800

libkainjow-mustache (3.2.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #931738)

 -- Kunal Mehta <legoktm@debian.org>  Tue, 09 Jul 2019 20:26:36 -0400

=== debian/control ===
Source: libkainjow-mustache
Priority: optional
Maintainer: Kunal Mehta <legoktm@debian.org>
Build-Depends: debhelper-compat (= 12), catch
Standards-Version: 4.4.0
Section: libs
Homepage: https://github.com/kainjow/Mustache
Vcs-Browser: https://salsa.debian.org/debian/libkainjow-mustache
Vcs-Git: https://salsa.debian.org/debian/libkainjow-mustache.git
Rules-Requires-Root: no

Package: libkainjow-mustache-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Mustache text templates for modern C++
 A header-only Mustache template implementation for C++11, with no
 additional dependencies.
 .
 Mustache is a logic-less web template system that uses braces as part
 of its syntax.

=== debian/tests/control ===
Test-Command: make
Depends: build-essential, catch

## libkainjow-mustache 4.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@


override_dh_auto_build:
# Nothing to do!

override_dh_auto_test:
	make

## libkainjow-mustache 4.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(mustache)
if (UNIX)
	add_definitions(
		-Wall
		-Wextra
		-Werror
		-std=c++11
	)
elseif (MSVC)
	add_definitions(
		/W3
		/WX
	)
endif()
add_executable(mustache
	mustache.hpp # to show in IDE
	tests.cpp
)

=== debian/changelog ===
libkainjow-mustache (4.1+ds-2) unstable; urgency=medium

  * Allow stderr in autopkgtest, thanks to Graham Inggs for the patch
    (Closes: #985724)

 -- Kunal Mehta <legoktm@debian.org>  Tue, 23 Mar 2021 21:22:27 -0700

libkainjow-mustache (4.1+ds-1) unstable; urgency=medium

  * New upstream version 4.1+ds
  * Standards-Version: 4.5.0, no changes needed

 -- Kunal Mehta <legoktm@debian.org>  Wed, 20 May 2020 19:07:32 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Kunal Mehta <legoktm@debian.org>
 Build-Depends: debhelper-compat (= 12), catch
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/kainjow/Mustache
 Vcs-Browser: https://salsa.debian.org/debian/libkainjow-mustache

=== debian/tests/control ===
Test-Command: make
Depends: build-essential, catch
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repack,repacksuffix=+ds,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%Mustache-$1.tar.gz%" \
   https://github.com/kainjow/Mustache/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libkainjow-mustache 4.1+ds-2+10.0trisquel1

=== debian/changelog ===
libkainjow-mustache (4.1+ds-2+10.0trisquel1) nabia-backports; urgency=medium

  * Backported from debian stable as a dependency for kiwix

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 26 Aug 2021 08:26:43 +0000
